| Kea 3.0.2-git

pointer_util.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util

## Functions
template<typename T>
bool | isc::util::equalValues (const T &ptr1, const T &ptr2)
| This function checks if two pointers are non-null and values are equal.
template<typename T>
bool | isc::util::nullOrEqualValues (const T &ptr1, const T &ptr2)
| This function checks if two pointers are both null or both are non-null and they point to equal values.